Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Tue, 15 Dec 2020 18:14:25 +0100

>> Not necessarily.  If you don't see any problems there, the calls in
 >> window_scroll_pixel_based could be possibly removed since that case
 >> should be covered elsewhere.
 >
 > Sorry, no.  We will not remove those calls without a positive evidence
 > that they are not needed.  It is not enough to say that someone
 > doesn't see any adverse effects in his/her use patterns and Emacs
 > customizations.

Agreed, obviously.  But updating the mode lines on all frames because a
user scrolls a window is pure overkill.  So if all else fails, we could
make such behavior optional.

martin